<?php

declare (strict_types=1);
namespace OctolizeShippingAustraliaPostVendor\Http\Client\Common;

use OctolizeShippingAustraliaPostVendor\Http\Client\HttpAsyncClient;
use OctolizeShippingAustraliaPostVendor\Http\Client\HttpClient;
use OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface;
/**
 * A flexible http client, which implements both interface and will emulate
 * one contract, the other, or none at all depending on the injected client contract.
 *
 * @author Joel Wurtz <joel.wurtz@gmail.com>
 */
final class FlexibleHttpClient implements \OctolizeShippingAustraliaPostVendor\Http\Client\HttpClient, \OctolizeShippingAustraliaPostVendor\Http\Client\HttpAsyncClient
{
    use HttpClientDecorator;
    use HttpAsyncClientDecorator;
    /**
     * @param ClientInterface|HttpAsyncClient $client
     */
    public function __construct($client)
    {
        if (!$client instanceof \OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface && !$client instanceof \OctolizeShippingAustraliaPostVendor\Http\Client\HttpAsyncClient) {
            throw new \TypeError(\sprintf('%s::__construct(): Argument #1 ($client) must be of type %s|%s, %s given', self::class, \OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface::class, \OctolizeShippingAustraliaPostVendor\Http\Client\HttpAsyncClient::class, \get_debug_type($client)));
        }
        $this->httpClient = $client instanceof \OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface ? $client : new \OctolizeShippingAustraliaPostVendor\Http\Client\Common\EmulatedHttpClient($client);
        $this->httpAsyncClient = $client instanceof \OctolizeShippingAustraliaPostVendor\Http\Client\HttpAsyncClient ? $client : new \OctolizeShippingAustraliaPostVendor\Http\Client\Common\EmulatedHttpAsyncClient($client);
    }
}
