<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Discovery;

use OctolizeShippingAustraliaPostVendor\Http\Client\HttpClient;
use OctolizeShippingAustraliaPostVendor\Http\Discovery\Exception\DiscoveryFailedException;
/**
 * Finds an HTTP Client.
 *
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 */
final class HttpClientDiscovery extends \OctolizeShippingAustraliaPostVendor\Http\Discovery\ClassDiscovery
{
    /**
     * Finds an HTTP Client.
     *
     * @return HttpClient
     *
     * @throws Exception\NotFoundException
     */
    public static function find()
    {
        try {
            $client = static::findOneByType(\OctolizeShippingAustraliaPostVendor\Http\Client\HttpClient::class);
        } catch (\OctolizeShippingAustraliaPostVendor\Http\Discovery\Exception\DiscoveryFailedException $e) {
            throw new \OctolizeShippingAustraliaPostVendor\Http\Discovery\NotFoundException('No HTTPlug clients found. Make sure to install a package providing "php-http/client-implementation". Example: "php-http/guzzle6-adapter".', 0, $e);
        }
        return static::instantiateClass($client);
    }
}
