<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Discovery\Strategy;

use OctolizeShippingAustraliaPostVendor\Psr\Http\Message\RequestFactoryInterface;
use OctolizeShippingAustraliaPostVendor\Psr\Http\Message\ResponseFactoryInterface;
use OctolizeShippingAustraliaPostVendor\Psr\Http\Message\ServerRequestFactoryInterface;
use OctolizeShippingAustraliaPostVendor\Psr\Http\Message\StreamFactoryInterface;
use OctolizeShippingAustraliaPostVendor\Psr\Http\Message\UploadedFileFactoryInterface;
use OctolizeShippingAustraliaPostVendor\Psr\Http\Message\UriFactoryInterface;
/**
 * @internal
 *
 * @author Tobias Nyholm <tobias.nyholm@gmail.com>
 */
final class CommonPsr17ClassesStrategy implements \OctolizeShippingAustraliaPostVendor\Http\Discovery\Strategy\DiscoveryStrategy
{
    /**
     * @var array
     */
    private static $classes = [\OctolizeShippingAustraliaPostVendor\Psr\Http\Message\RequestFactoryInterface::class => ['OctolizeShippingAustraliaPostVendor\\Phalcon\\Http\\Message\\RequestFactory', 'OctolizeShippingAustraliaPostVendor\\Nyholm\\Psr7\\Factory\\Psr17Factory', 'OctolizeShippingAustraliaPostVendor\\Zend\\Diactoros\\RequestFactory', 'OctolizeShippingAustraliaPostVendor\\GuzzleHttp\\Psr7\\HttpFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Diactoros\\RequestFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Guzzle\\RequestFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Slim\\RequestFactory', 'OctolizeShippingAustraliaPostVendor\\Laminas\\Diactoros\\RequestFactory', 'OctolizeShippingAustraliaPostVendor\\Slim\\Psr7\\Factory\\RequestFactory'], \OctolizeShippingAustraliaPostVendor\Psr\Http\Message\ResponseFactoryInterface::class => ['OctolizeShippingAustraliaPostVendor\\Phalcon\\Http\\Message\\ResponseFactory', 'OctolizeShippingAustraliaPostVendor\\Nyholm\\Psr7\\Factory\\Psr17Factory', 'OctolizeShippingAustraliaPostVendor\\Zend\\Diactoros\\ResponseFactory', 'OctolizeShippingAustraliaPostVendor\\GuzzleHttp\\Psr7\\HttpFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Diactoros\\ResponseFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Guzzle\\ResponseFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Slim\\ResponseFactory', 'OctolizeShippingAustraliaPostVendor\\Laminas\\Diactoros\\ResponseFactory', 'OctolizeShippingAustraliaPostVendor\\Slim\\Psr7\\Factory\\ResponseFactory'], \OctolizeShippingAustraliaPostVendor\Psr\Http\Message\ServerRequestFactoryInterface::class => ['OctolizeShippingAustraliaPostVendor\\Phalcon\\Http\\Message\\ServerRequestFactory', 'OctolizeShippingAustraliaPostVendor\\Nyholm\\Psr7\\Factory\\Psr17Factory', 'OctolizeShippingAustraliaPostVendor\\Zend\\Diactoros\\ServerRequestFactory', 'OctolizeShippingAustraliaPostVendor\\GuzzleHttp\\Psr7\\HttpFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Diactoros\\ServerRequestFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Guzzle\\ServerRequestFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Slim\\ServerRequestFactory', 'OctolizeShippingAustraliaPostVendor\\Laminas\\Diactoros\\ServerRequestFactory', 'OctolizeShippingAustraliaPostVendor\\Slim\\Psr7\\Factory\\ServerRequestFactory'], \OctolizeShippingAustraliaPostVendor\Psr\Http\Message\StreamFactoryInterface::class => ['OctolizeShippingAustraliaPostVendor\\Phalcon\\Http\\Message\\StreamFactory', 'OctolizeShippingAustraliaPostVendor\\Nyholm\\Psr7\\Factory\\Psr17Factory', 'OctolizeShippingAustraliaPostVendor\\Zend\\Diactoros\\StreamFactory', 'OctolizeShippingAustraliaPostVendor\\GuzzleHttp\\Psr7\\HttpFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Diactoros\\StreamFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Guzzle\\StreamFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Slim\\StreamFactory', 'OctolizeShippingAustraliaPostVendor\\Laminas\\Diactoros\\StreamFactory', 'OctolizeShippingAustraliaPostVendor\\Slim\\Psr7\\Factory\\StreamFactory'], \OctolizeShippingAustraliaPostVendor\Psr\Http\Message\UploadedFileFactoryInterface::class => ['OctolizeShippingAustraliaPostVendor\\Phalcon\\Http\\Message\\UploadedFileFactory', 'OctolizeShippingAustraliaPostVendor\\Nyholm\\Psr7\\Factory\\Psr17Factory', 'OctolizeShippingAustraliaPostVendor\\Zend\\Diactoros\\UploadedFileFactory', 'OctolizeShippingAustraliaPostVendor\\GuzzleHttp\\Psr7\\HttpFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Diactoros\\UploadedFileFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Guzzle\\UploadedFileFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Slim\\UploadedFileFactory', 'OctolizeShippingAustraliaPostVendor\\Laminas\\Diactoros\\UploadedFileFactory', 'OctolizeShippingAustraliaPostVendor\\Slim\\Psr7\\Factory\\UploadedFileFactory'], \OctolizeShippingAustraliaPostVendor\Psr\Http\Message\UriFactoryInterface::class => ['OctolizeShippingAustraliaPostVendor\\Phalcon\\Http\\Message\\UriFactory', 'OctolizeShippingAustraliaPostVendor\\Nyholm\\Psr7\\Factory\\Psr17Factory', 'OctolizeShippingAustraliaPostVendor\\Zend\\Diactoros\\UriFactory', 'OctolizeShippingAustraliaPostVendor\\GuzzleHttp\\Psr7\\HttpFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Diactoros\\UriFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Guzzle\\UriFactory', 'OctolizeShippingAustraliaPostVendor\\Http\\Factory\\Slim\\UriFactory', 'OctolizeShippingAustraliaPostVendor\\Laminas\\Diactoros\\UriFactory', 'OctolizeShippingAustraliaPostVendor\\Slim\\Psr7\\Factory\\UriFactory']];
    /**
     * {@inheritdoc}
     */
    public static function getCandidates($type)
    {
        $candidates = [];
        if (isset(self::$classes[$type])) {
            foreach (self::$classes[$type] as $class) {
                $candidates[] = ['class' => $class, 'condition' => [$class]];
            }
        }
        return $candidates;
    }
}
