<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Client\Promise;

use OctolizeShippingAustraliaPostVendor\Http\Client\Exception;
use OctolizeShippingAustraliaPostVendor\Http\Promise\Promise;
use Psr\Http\Message\ResponseInterface;
final class HttpFulfilledPromise implements \OctolizeShippingAustraliaPostVendor\Http\Promise\Promise
{
    /**
     * @var ResponseInterface
     */
    private $response;
    public function __construct(\Psr\Http\Message\ResponseInterface $response)
    {
        $this->response = $response;
    }
    /**
     * {@inheritdoc}
     */
    public function then(callable $onFulfilled = null, callable $onRejected = null)
    {
        if (null === $onFulfilled) {
            return $this;
        }
        try {
            return new self($onFulfilled($this->response));
        } catch (\OctolizeShippingAustraliaPostVendor\Http\Client\Exception $e) {
            return new \OctolizeShippingAustraliaPostVendor\Http\Client\Promise\HttpRejectedPromise($e);
        }
    }
    /**
     * {@inheritdoc}
     */
    public function getState()
    {
        return \OctolizeShippingAustraliaPostVendor\Http\Promise\Promise::FULFILLED;
    }
    /**
     * {@inheritdoc}
     */
    public function wait($unwrap = \true)
    {
        if ($unwrap) {
            return $this->response;
        }
    }
}
