<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Client\Promise;

use OctolizeShippingAustraliaPostVendor\Http\Client\Exception;
use OctolizeShippingAustraliaPostVendor\Http\Promise\Promise;
final class HttpRejectedPromise implements \OctolizeShippingAustraliaPostVendor\Http\Promise\Promise
{
    /**
     * @var Exception
     */
    private $exception;
    public function __construct(\OctolizeShippingAustraliaPostVendor\Http\Client\Exception $exception)
    {
        $this->exception = $exception;
    }
    /**
     * {@inheritdoc}
     */
    public function then(callable $onFulfilled = null, callable $onRejected = null)
    {
        if (null === $onRejected) {
            return $this;
        }
        try {
            $result = $onRejected($this->exception);
            if ($result instanceof \OctolizeShippingAustraliaPostVendor\Http\Promise\Promise) {
                return $result;
            }
            return new \OctolizeShippingAustraliaPostVendor\Http\Client\Promise\HttpFulfilledPromise($result);
        } catch (\OctolizeShippingAustraliaPostVendor\Http\Client\Exception $e) {
            return new self($e);
        }
    }
    /**
     * {@inheritdoc}
     */
    public function getState()
    {
        return \OctolizeShippingAustraliaPostVendor\Http\Promise\Promise::REJECTED;
    }
    /**
     * {@inheritdoc}
     */
    public function wait($unwrap = \true)
    {
        if ($unwrap) {
            throw $this->exception;
        }
    }
}
