<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory;

use OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\SlimStreamFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\SlimUriFactory;
use OctolizeShippingAustraliaPostVendor\Slim\Http\Headers;
use OctolizeShippingAustraliaPostVendor\Slim\Http\Request;
use OctolizeShippingAustraliaPostVendor\Slim\Http\Response;
/**
 * Creates Slim 3 messages.
 *
 * @author Mika Tuupola <tuupola@appelsiini.net>
 *
 * @deprecated This will be removed in php-http/message2.0. Consider using the official Slim PSR-17 factory
 */
final class SlimMessageFactory implements \OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory
{
    /**
     * @var SlimStreamFactory
     */
    private $streamFactory;
    /**
     * @var SlimUriFactory
     */
    private $uriFactory;
    public function __construct()
    {
        $this->streamFactory = new \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\SlimStreamFactory();
        $this->uriFactory = new \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\SlimUriFactory();
    }
    /**
     * {@inheritdoc}
     */
    public function createRequest($method, $uri, array $headers = [], $body = null, $protocolVersion = '1.1')
    {
        return (new \OctolizeShippingAustraliaPostVendor\Slim\Http\Request($method, $this->uriFactory->createUri($uri), new \OctolizeShippingAustraliaPostVendor\Slim\Http\Headers($headers), [], [], $this->streamFactory->createStream($body), []))->withProtocolVersion($protocolVersion);
    }
    /**
     * {@inheritdoc}
     */
    public function createResponse($statusCode = 200, $reasonPhrase = null, array $headers = [], $body = null, $protocolVersion = '1.1')
    {
        return (new \OctolizeShippingAustraliaPostVendor\Slim\Http\Response($statusCode, new \OctolizeShippingAustraliaPostVendor\Slim\Http\Headers($headers), $this->streamFactory->createStream($body)))->withProtocolVersion($protocolVersion);
    }
}
