<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory;

use OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory;
use OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Stream as LaminasStream;
use Psr\Http\Message\StreamInterface;
use OctolizeShippingAustraliaPostVendor\Zend\Diactoros\Stream as ZendStream;
/**
 * Creates Diactoros streams.
 *
 * @author Михаил Красильников <m.krasilnikov@yandex.ru>
 *
 * @deprecated This will be removed in php-http/message2.0. Consider using the official Diactoros PSR-17 factory
 */
final class DiactorosStreamFactory implements \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory
{
    /**
     * {@inheritdoc}
     */
    public function createStream($body = null)
    {
        if ($body instanceof \Psr\Http\Message\StreamInterface) {
            return $body;
        }
        if (\is_resource($body)) {
            if (\class_exists(\OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Stream::class)) {
                return new \OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Stream($body);
            }
            return new \OctolizeShippingAustraliaPostVendor\Zend\Diactoros\Stream($body);
        }
        if (\class_exists(\OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Stream::class)) {
            $stream = new \OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Stream('php://memory', 'rw');
        } else {
            $stream = new \OctolizeShippingAustraliaPostVendor\Zend\Diactoros\Stream('php://memory', 'rw');
        }
        if (null !== $body && '' !== $body) {
            $stream->write((string) $body);
        }
        return $stream;
    }
}
