<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory;

use OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory;
use OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Uri as LaminasUri;
use Psr\Http\Message\UriInterface;
use OctolizeShippingAustraliaPostVendor\Zend\Diactoros\Uri as ZendUri;
/**
 * Creates Diactoros URI.
 *
 * @author David de Boer <david@ddeboer.nl>
 *
 * @deprecated This will be removed in php-http/message2.0. Consider using the official Diactoros PSR-17 factory
 */
final class DiactorosUriFactory implements \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory
{
    /**
     * {@inheritdoc}
     */
    public function createUri($uri)
    {
        if ($uri instanceof \Psr\Http\Message\UriInterface) {
            return $uri;
        } elseif (\is_string($uri)) {
            if (\class_exists(\OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Uri::class)) {
                return new \OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Uri($uri);
            }
            return new \OctolizeShippingAustraliaPostVendor\Zend\Diactoros\Uri($uri);
        }
        throw new \InvalidArgumentException('URI must be a string or UriInterface');
    }
}
